Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.api
Interface TaskServiceEntryPoint

All Known Implementing Classes:
  TaskServiceEntryPointImpl

    public interface TaskServiceEntryPoint

The Task Service Entry Point serves as facade of all the other services, providing a single entry point to access to all the services

Method Summary
`void` | `activate(long taskId, String userId)`
`long` | `addAttachment(long taskId, Attachment attachment, Content content)`
`long` | `addComment(long taskId, Comment comment)`
`long` | `addContent(long taskId, Content content)`
`long` | `addContent(long taskId, Map<String,Object> params)`
`void` | `addGroup(Group group)`
`long` | `addTask(Task task, ContentData data)`
`long` | `addTask(Task task, Map<String,Object> params)`
`void` | `addUser(User user)`
`void` | `addUsersAndGroups(Map<String,User> users, Map<String,Group> groups)`
`int` | `archiveTasks(List<TaskSummary> tasks)`
`void` | `claim(long taskId, String userId)`
`void` | `claim(long taskId, String userId, List<String> groupIds)`
`void` | `claimNextAvailable(String userId, List<String> groupIds, String language)`
`void` | `claimNextAvailable(String userId, String language)`
`void` | `complete(long taskId, String userId, Map<String,Object> data)`
`void` | `delegate(long taskId, String userId, String targetUserId)`
`void` | `deleteAttachment(long taskId, long attachmentId)`
`void` | `deleteComment(long taskId, long commentId)`
`void` | `deleteContent(long taskId, long contentId)`
`void` | `deleteFault(long taskId, String userId)`
`void` | `deleteOutput(long taskId, String userId)`
`void` | `deployTaskDef(TaskDef def)`
`void` | `exit(long taskId, String userId)`
`void` | `fail(long taskId, String userId, Map<String,Object> faultData)`
`void` | `forward(long taskId, String userId, String targetEntityId)`
`List<TaskSummary>` | `getActiveTasks()`
`List<TaskSummary>` | `getActiveTasks(Date since)`
`List<Attachment>` | `getAllAttachmentsByTaskId(long taskId)`
`List<Comment>` | `getAllCommentsByTaskId(long taskId)`
`List<Content>` | `getAllContentByTaskId(long taskId)`
`List<TaskDef>` | `getAllTaskDef(String filter)`
`List<TaskSummary>` | `getArchivedTasks()`
`Attachment` | `getAttachmentById(long attachId)`
`Comment` | `getCommentById(long commentId)`
`int` | `getCompletedTaskByUserId(String userId)`
`List<TaskSummary>` | `getCompletedTasks()`
`List<TaskSummary>` | `getCompletedTasks(Date since)`
`List<TaskSummary>` | `getCompletedTasksByProcessId(Long processId)`
`Content` | `getContentById(long contentId)`
`List<I18NText>` | `getDescriptions(long taskId)`
`Date` | `getExpirationDate(long taskId)`
`Group` | `getGroupById(String groupId)`
`List<Group>` | `getGroups()`
`OrganizationalEntity` | `getOrganizationalEntityById(String entityId)`
`int` | `getPendingSubTasksByParent(long parentId)`
`int` | `getPendingTaskByUserId(String userId)`
`int` | `getPriority(long taskId)`
`List<TaskSummary>` | `getSubTasksAssignedAsPotentialOwner(long parentId, String userId, String language)`
`List<TaskSummary>` | `getSubTasksByParent(long parentId)`
`SubTasksStrategy` | `getSubTaskStrategy(long taskId)`
`TaskAdminService` | `getTaskAdminService()`
`Task` | `getTaskById(long taskId)`
`Task` | `getTaskByWorkItemId(long workItemId)`
`Map<String,Object>` | `getTaskContent(long taskId)`
`TaskDef` | `getTaskDefById(String id)`
`TaskDefService` | `getTaskDefService()`
`List<TaskEvent>` | `getTaskEventsById(long taskId)`
`TaskEventsService` | `getTaskEventsService()`
`TaskIdentityService` | `getTaskIdentityService()`
`Task` | `getTaskInstanceById(long taskId)`
`TaskInstanceService` | `getTaskInstanceService()`
`TaskLifeCycleEventListener` | `getTaskLifeCycleEventListener()`
`TaskQueryService` | `getTaskQueryService()`
`List<TaskSummary>` | `getTasksAssignedAsBusinessAdministrator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsExcludedOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language, int firstResult, int maxResult)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatus(String salaboy, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId, List<String> groupIds, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksAssignedAsRecipient(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskInitiator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskStakeholder(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedByGroup(String groupId, String language)`
`List<TaskSummary>` | `getTasksAssignedByGroups(List<String> groupIds, String language)`
`List<TaskSummary>` | `getTasksAssignedByGroupsByExpirationDate(List<String> groupIds, String language, Date expirationDate)`
`List<TaskSummary>` | `getTasksAssignedByGroupsByExpirationDateOptional(List<String> groupIds, String language, Date expirationDate)`
`List<TaskSummary>` | `getTasksOwned(String userId)`
`List<TaskSummary>` | `getTasksOwned(String userId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksOwnedByExpirationDate(String userId, List<Status> statuses, Date expirationDate)`
`List<TaskSummary>` | `getTasksOwnedByExpirationDateOptional(String userId, List<Status> statuses, Date expirationDate)`
`User` | `getUserById(String userId)`
`UserInfo` | `getUserInfo()`
`List<User>` | `getUsers()`
`boolean` | `isSkipable(long taskId)`
`long` | `newTask(String name, Map<String,Object> params)`
`long` | `newTask(TaskDef def, Map<String,Object> params)`
`long` | `newTask(TaskDef def, Map<String,Object> params, boolean deploy)`
`void` | `nominate(long taskId, String userId, List<OrganizationalEntity> potentialOwners)`
`void` | `release(long taskId, String userId)`
`void` | `remove(long taskId, String userId)`
`int` | `removeAllTasks()`
`void` | `removeGroup(String groupId)`
`void` | `removeTaskEventsById(long taskId)`
`int` | `removeTasks(List<TaskSummary> tasks)`
`void` | `removeUser(String userId)`
`void` | `resume(long taskId, String userId)`
`void` | `setDescriptions(long taskId, List<I18NText> descriptions)`
`void` | `setExpirationDate(long taskId, Date date)`
`void` | `setFault(long taskId, String userId, FaultData fault)`
`void` | `setOutput(long taskId, String userId, Object outputContentData)`
`void` | `setPriority(long taskId, int priority)`
`void` | `setSkipable(long taskId, boolean skipable)`
`void` | `setSubTaskStrategy(long taskId, SubTasksStrategy strategy)`
`void` | `setTaskAdminService(TaskAdminService adminService)`
`void` | `setTaskDefService(TaskDefService defService)`
`void` | `setTaskEventsService(TaskEventsService eventsService)`
`void` | `setTaskIdentityService(TaskIdentityService identityService)`
`void` | `setTaskInstanceService(TaskInstanceService taskInstanceService)`
`void` | `setTaskNames(long taskId, List<I18NText> taskNames)`
`void` | `setTaskQueryService(TaskQueryService queryService)`
`void` | `setUserInfo(UserInfo userInfo)`
`void` | `skip(long taskId, String userId)`
`void` | `start(long taskId, String userId)`
`void` | `stop(long taskId, String userId)`
`void` | `suspend(long taskId, String userId)`
`void` | `undeployTaskDef(String id)`

Method Detail

### getTaskAdminService

    TaskAdminService getTaskAdminService()

### getTaskDefService

    TaskDefService getTaskDefService()

### getTaskIdentityService

    TaskIdentityService getTaskIdentityService()

### getTaskInstanceService

    TaskInstanceService getTaskInstanceService()

### getTaskQueryService

    TaskQueryService getTaskQueryService()

### getTaskEventsService

    TaskEventsService getTaskEventsService()

### setTaskAdminService

    void setTaskAdminService(TaskAdminService adminService)

### setTaskDefService

    void setTaskDefService(TaskDefService defService)

### setTaskIdentityService

    void setTaskIdentityService(TaskIdentityService identityService)

### setTaskInstanceService

    void setTaskInstanceService(TaskInstanceService taskInstanceService)

### setTaskQueryService

    void setTaskQueryService(TaskQueryService queryService)

### setTaskEventsService

    void setTaskEventsService(TaskEventsService eventsService)

### activate

    void activate(long taskId,
                  String userId)

### addGroup

    void addGroup(Group group)

### addUser

    void addUser(User user)

### archiveTasks

    int archiveTasks(List<TaskSummary> tasks)

### claim

    void claim(long taskId,
               String userId)

### claim

    void claim(long taskId,
               String userId,
               List<String> groupIds)

### claimNextAvailable

    void claimNextAvailable(String userId,
                            List<String> groupIds,
                            String language)

### claimNextAvailable

    void claimNextAvailable(String userId,
                            String language)

### complete

    void complete(long taskId,
                  String userId,
                  Map<String,Object> data)

### delegate

    void delegate(long taskId,
                  String userId,
                  String targetUserId)

### deleteFault

    void deleteFault(long taskId,
                     String userId)

### deleteOutput

    void deleteOutput(long taskId,
                      String userId)

### deployTaskDef

    void deployTaskDef(TaskDef def)

### exit

    void exit(long taskId,
              String userId)

### fail

    void fail(long taskId,
              String userId,
              Map<String,Object> faultData)

### forward

    void forward(long taskId,
                 String userId,
                 String targetEntityId)

### getActiveTasks

    List<TaskSummary> getActiveTasks()

### getActiveTasks

    List<TaskSummary> getActiveTasks(Date since)

### getAllTaskDef

    List<TaskDef> getAllTaskDef(String filter)

### getArchivedTasks

    List<TaskSummary> getArchivedTasks()

### getCompletedTasks

    List<TaskSummary> getCompletedTasks()

### getCompletedTasks

    List<TaskSummary> getCompletedTasks(Date since)

### getCompletedTasksByProcessId

    List<TaskSummary> getCompletedTasksByProcessId(Long processId)

### getGroupById

    Group getGroupById(String groupId)

### getGroups

    List<Group> getGroups()

### getSubTasksAssignedAsPotentialOwner

    List<TaskSummary> getSubTasksAssignedAsPotentialOwner(long parentId,
                                                          String userId,
                                                          String language)

### getSubTasksByParent

    List<TaskSummary> getSubTasksByParent(long parentId)

### getPendingSubTasksByParent

    int getPendingSubTasksByParent(long parentId)

### getTaskByWorkItemId

    Task getTaskByWorkItemId(long workItemId)

### getTaskDefById

    TaskDef getTaskDefById(String id)

### getTaskById

    Task getTaskById(long taskId)

### getTasksAssignedAsBusinessAdministrator

    List<TaskSummary> getTasksAssignedAsBusinessAdministrator(String userId,
                                                              String language)

### getTasksAssignedAsExcludedOwner

    List<TaskSummary> getTasksAssignedAsExcludedOwner(String userId,
                                                      String language)

### getTasksAssignedAsPotentialOwner

    List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                       List<String> groupIds,
                                                       String language)

### getTasksAssignedAsPotentialOwner

    List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                       List<String> groupIds,
                                                       String language,
                                                       int firstResult,
                                                       int maxResult)

### getTasksAssignedAsPotentialOwner

    List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                       String language)

### getTasksAssignedAsPotentialOwnerByStatus

    List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatus(String salaboy,
                                                               List<Status> status,
                                                               String language)

### getTasksAssignedAsPotentialOwnerByStatusByGroup

    List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId,
                                                                      List<String> groupIds,
                                                                      List<Status> status,
                                                                      String language)

### getTasksAssignedAsRecipient

    List<TaskSummary> getTasksAssignedAsRecipient(String userId,
                                                  String language)

### getTasksAssignedAsTaskInitiator

    List<TaskSummary> getTasksAssignedAsTaskInitiator(String userId,
                                                      String language)

### getTasksAssignedAsTaskStakeholder

    List<TaskSummary> getTasksAssignedAsTaskStakeholder(String userId,
                                                        String language)

### getTasksOwned

    List<TaskSummary> getTasksOwned(String userId)

### getTasksOwned

    List<TaskSummary> getTasksOwned(String userId,
                                    List<Status> status,
                                    String language)

### getTasksOwnedByExpirationDate

    List<TaskSummary> getTasksOwnedByExpirationDate(String userId,
                                                    List<Status> statuses,
                                                    Date expirationDate)

### getTasksOwnedByExpirationDateOptional

    List<TaskSummary> getTasksOwnedByExpirationDateOptional(String userId,
                                                            List<Status> statuses,
                                                            Date expirationDate)

### getTasksAssignedByGroupsByExpirationDate

    List<TaskSummary> getTasksAssignedByGroupsByExpirationDate(List<String> groupIds,
                                                               String language,
                                                               Date expirationDate)

### getTasksAssignedByGroupsByExpirationDateOptional

    List<TaskSummary> getTasksAssignedByGroupsByExpirationDateOptional(List<String> groupIds,
                                                                       String language,
                                                                       Date expirationDate)

### getUserById

    User getUserById(String userId)

### getUsers

    List<User> getUsers()

### newTask

    long newTask(String name,
                 Map<String,Object> params)

### newTask

    long newTask(TaskDef def,
                 Map<String,Object> params)

### newTask

    long newTask(TaskDef def,
                 Map<String,Object> params,
                 boolean deploy)

### addTask

    long addTask(Task task,
                 Map<String,Object> params)

### addTask

    long addTask(Task task,
                 ContentData data)

### release

    void release(long taskId,
                 String userId)

### remove

    void remove(long taskId,
                String userId)

### removeGroup

    void removeGroup(String groupId)

### removeTasks

    int removeTasks(List<TaskSummary> tasks)

### removeUser

    void removeUser(String userId)

### resume

    void resume(long taskId,
                String userId)

### setFault

    void setFault(long taskId,
                  String userId,
                  FaultData fault)

### setOutput

    void setOutput(long taskId,
                   String userId,
                   Object outputContentData)

### setPriority

    void setPriority(long taskId,
                     int priority)

### setTaskNames

    void setTaskNames(long taskId,
                      List<I18NText> taskNames)

### skip

    void skip(long taskId,
              String userId)

### start

    void start(long taskId,
               String userId)

### stop

    void stop(long taskId,
              String userId)

### suspend

    void suspend(long taskId,
                 String userId)

### undeployTaskDef

    void undeployTaskDef(String id)

### getTaskEventsById

    List<TaskEvent> getTaskEventsById(long taskId)

### getUserInfo

    UserInfo getUserInfo()

### setUserInfo

    void setUserInfo(UserInfo userInfo)

### addUsersAndGroups

    void addUsersAndGroups(Map<String,User> users,
                           Map<String,Group> groups)

### nominate

    void nominate(long taskId,
                  String userId,
                  List<OrganizationalEntity> potentialOwners)

### removeAllTasks

    int removeAllTasks()

### addContent

    long addContent(long taskId,
                    Content content)

### addContent

    long addContent(long taskId,
                    Map<String,Object> params)

### deleteContent

    void deleteContent(long taskId,
                       long contentId)

### getAllContentByTaskId

    List<Content> getAllContentByTaskId(long taskId)

### getContentById

    Content getContentById(long contentId)

### addAttachment

    long addAttachment(long taskId,
                       Attachment attachment,
                       Content content)

### deleteAttachment

    void deleteAttachment(long taskId,
                          long attachmentId)

### getAllAttachmentsByTaskId

    List<Attachment> getAllAttachmentsByTaskId(long taskId)

### getAttachmentById

    Attachment getAttachmentById(long attachId)

### removeTaskEventsById

    void removeTaskEventsById(long taskId)

### getOrganizationalEntityById

    OrganizationalEntity getOrganizationalEntityById(String entityId)

### setExpirationDate

    void setExpirationDate(long taskId,
                           Date date)

### setDescriptions

    void setDescriptions(long taskId,
                         List<I18NText> descriptions)

### setSkipable

    void setSkipable(long taskId,
                     boolean skipable)

### setSubTaskStrategy

    void setSubTaskStrategy(long taskId,
                            SubTasksStrategy strategy)

### getPriority

    int getPriority(long taskId)

### getExpirationDate

    Date getExpirationDate(long taskId)

### getDescriptions

    List<I18NText> getDescriptions(long taskId)

### isSkipable

    boolean isSkipable(long taskId)

### getSubTaskStrategy

    SubTasksStrategy getSubTaskStrategy(long taskId)

### getTaskInstanceById

    Task getTaskInstanceById(long taskId)

### getCompletedTaskByUserId

    int getCompletedTaskByUserId(String userId)

### getPendingTaskByUserId

    int getPendingTaskByUserId(String userId)

### getTasksAssignedByGroup

    List<TaskSummary> getTasksAssignedByGroup(String groupId,
                                              String language)

### getTasksAssignedByGroups

    List<TaskSummary> getTasksAssignedByGroups(List<String> groupIds,
                                               String language)

### addComment

    long addComment(long taskId,
                    Comment comment)

### deleteComment

    void deleteComment(long taskId,
                       long commentId)

### getAllCommentsByTaskId

    List<Comment> getAllCommentsByTaskId(long taskId)

### getCommentById

    Comment getCommentById(long commentId)

### getTaskContent

    Map<String,Object> getTaskContent(long taskId)

### getTaskLifeCycleEventListener

    TaskLifeCycleEventListener getTaskLifeCycleEventListener()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.